import { language } from "@/locales";
import { Helmet } from "react-helmet";

interface IHeadDataProps {
  pixels?: string[];
}

const HeadData = ({
  pixels
}: IHeadDataProps) => {

  const FBScriptTemplate = (pixel: string) => `
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window, document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
fbq('init', '${pixel}');
fbq('track', 'PageView');`;

  return (
    <Helmet htmlAttributes={{ lang: language }}>
      {pixels?.map((pixel) => (
        <script key={pixel}>{FBScriptTemplate(pixel)}</script>
      ))}
    </Helmet>
  );
};

export default HeadData;
